> For the complete documentation index, see [llms.txt](https://docs.datapancake.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datapancake.com/guides/how-to-guides-ui/creating-and-configuring-data-sources/how-to-configure-schema-consolidation.md).

# How to Configure Schema Consolidation

Configure Schema Consolidation for a data source.

Schema consolidations are used to reduce schemas into a smaller schema using regex expressions.

This is useful when you have multiple schemas that contain similar data and you want to simplify your data model.

For example, if you have a schema for each region, you could consolidate them into a single schema that contains all the data for all regions. This would make it easier to query the data and create reports.

### 1. Enter the Name for the new Conslidation

For example: `X|Gfs|Shipment`

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-13/6f51fa03-7bd4-4c33-9297-519553fb2526/ascreenshot.jpeg?tl_px=0,0\&br_px=1376,769\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=387,203)

### 2. Enter the Search Regex for the new Conslidation

For example: `X|Gfs|Shipment|`

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-13/6c5f0582-354a-4de6-bcca-949e632d00b8/ascreenshot.jpeg?tl_px=164,0\&br_px=1541,769\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=544,197)

### 3. Enter the Search Regex for the Conslidation

For example: `|\d+`

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-13/73f61919-d6ae-4004-bba6-c9c86b4f2cae/ascreenshot.jpeg?tl_px=164,0\&br_px=1541,769\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=800,200)

### 4. Save the new Schema Consolidation

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-13/c8da21de-b4c4-424b-a448-cfe2d0fc7c18/ascreenshot.jpeg?tl_px=0,156\&br_px=1376,925\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=480,277)

[**Made with Scribe**](https://scribehow.com/shared/Consolidate_Schema_in_Snowflake_and_Google_Sheets__fjtDvspLT5qMkedYfJolfw)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.datapancake.com/guides/how-to-guides-ui/creating-and-configuring-data-sources/how-to-configure-schema-consolidation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
